"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const http = require("http");
const json_schema_to_typescript_1 = require("json-schema-to-typescript");
const path = require("path");
http.get({
    host: "json.schemastore.org",
    path: "/tsconfig",
}, res => {
    const chunks = [];
    res.on("data", chunk => chunks.push(chunk));
    res.on("end", () => {
        const schema = JSON.parse(Buffer.concat(chunks).toString("utf8"));
        schema.title = "Typescript Config";
        schema.allOf = schema.allOf.filter(def => {
            return (def.$ref !== "#/definitions/compileOnSaveDefinition" &&
                def.$ref !== "#/definitions/typeAcquisitionDefinition");
        });
        json_schema_to_typescript_1.compile(schema, "tsconfig").then(code => {
            fs.writeFileSync(path.join(__dirname, "../src/generated/typescript-config.ts"), "// tslint:disable\n" + code);
        });
    });
});
